import request from '@/utils/request'

// 查询质量月报S5010列表
export function listS5010(query) {
  return request({
    url: '/production/s5010/list',
    method: 'get',
    params: query
  })
}

// 查询质量月报S5010详细
export function getS5010(id) {
  return request({
    url: '/production/s5010/' + id,
    method: 'get'
  })
}

// 新增质量月报S5010
export function addS5010(data) {
  return request({
    url: '/production/s5010',
    method: 'post',
    data: data
  })
}

// 修改质量月报S5010
export function updateS5010(data) {
  return request({
    url: '/production/s5010',
    method: 'put',
    data: data
  })
}

// 删除质量月报S5010
export function delS5010(id) {
  return request({
    url: '/production/s5010/' + id,
    method: 'delete'
  })
}

// 导出质量月报S5010
export function exportS5010(query) {
  return request({
    url: '/production/s5010/export',
    method: 'get',
    params: query
  })
}